Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc
Class Violation

    java.lang.Object
      |
      +--rj.tools.jcsc.Violation

public class Violation
extends java.lang.Object

`Violation` - a violation and its information

Version:
  $Revision: 1.6 $
Author:
  Ralph Jocham

Constructor Summary
`Violation(Rule rule, java.lang.String sourcePath, java.lang.String className, java.lang.String packageName, java.lang.String message, int line, int column)` Creates a Violation instance

Method Summary
`java.lang.String` | `getClassName()` `getClassName`
`int` | `getColumn()` `getColumn`
`int` | `getLine()` `getLine`
`java.lang.String` | `getMessage()` `getMessage`
`java.lang.String` | `getPackageName()` `getPackageName`
`Rule` | `getRule()` `getRule`
`java.lang.String` | `getSource()` `getSource`
`void` | `setClassName(java.lang.String className)` `setClassName`
`void` | `setColumn(int column)` `setColumn`
`void` | `setLine(int line)` `setLine`
`void` | `setMessage(java.lang.String message)` `setMessage`
`void` | `setPackageName(java.lang.String packageName)` `setPackageName`
`void` | `setRule(Rule rule)` `setRule`
`void` | `setSource(java.lang.String source)` `setSource`
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Violation

    public Violation(Rule rule,
                     java.lang.String sourcePath,
                     java.lang.String className,
                     java.lang.String packageName,
                     java.lang.String message,
                     int line,
                     int column)

  Creates a Violation instance
  Parameters:
    `rule` - which was violated
    `sourcePath` - full qualified path to file
    `className` - name of class
    `packageName` - package of class
    `message` - violation message
    `line` - of violation
    `column` - of violation

Method Detail

### setRule

    public void setRule(Rule rule)

  `setRule`
  Parameters:
    `rule` - a `Rule` value

### getRule

    public Rule getRule()

  `getRule`
  Returns:
    a `Rule` value

### setSource

    public void setSource(java.lang.String source)

  `setSource`
  Parameters:
    `source` - a `String` value

### getSource

    public java.lang.String getSource()

  `getSource`
  Returns:
    a `String` value

### setClassName

    public void setClassName(java.lang.String className)

  `setClassName`
  Parameters:
    `className` - a `String` value

### getClassName

    public java.lang.String getClassName()

  `getClassName`
  Returns:
    a `String` value

### setPackageName

    public void setPackageName(java.lang.String packageName)

  `setPackageName`
  Parameters:
    `packageName` - a `String` value

### getPackageName

    public java.lang.String getPackageName()

  `getPackageName`
  Returns:
    a `String` value

### setMessage

    public void setMessage(java.lang.String message)

  `setMessage`
  Parameters:
    `message` - a `String` value

### getMessage

    public java.lang.String getMessage()

  `getMessage`
  Returns:
    a `String` value

### setLine

    public void setLine(int line)

  `setLine`
  Parameters:
    `line` - an `int` value

### getLine

    public int getLine()

  `getLine`
  Returns:
    an `int` value

### setColumn

    public void setColumn(int column)

  `setColumn`
  Parameters:
    `column` - an `int` value

### getColumn

    public int getColumn()

  `getColumn`
  Returns:
    an `int` value

### toString

    public java.lang.String toString()

  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License